# Class SphericalPlotState

java.lang.Object
uk.ac.starlink.ttools.plot.PlotState
uk.ac.starlink.ttools.plot.Plot3DState
uk.ac.starlink.ttools.plot.SphericalPlotState

public class SphericalPlotState extends Plot3DState
PlotState specific to spherical 3D plots.

Since:
  5 Jan 2006
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class PlotState

`PlotState.SimpleValueInfo`

## Constructor Summary

Constructors
Constructor
Description
`SphericalPlotState()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`uk.ac.starlink.table.ValueInfo`
`getRadialInfo()`
Returns metadata information about the radial coordinate.
`boolean`
`getRadialLog()`
Determines whether the radial dimension should be plotted on a logarithmic scale.
`int`
`hashCode()`
`void`
`setRadialInfo(uk.ac.starlink.table.ValueInfo info)`
Sets metadata information about the radial coordinate.
`void`
`setRadialLog(boolean radialLog)`
Sets whether the radial dimension should be plotted on a logarithmic scale.

### Methods inherited from class Plot3DState

`getFogginess, getRotating, getRotation, getZoomScale, setFogginess, setRotating, setRotation, setZoomScale`

### Methods inherited from class PlotState

`compare, getAntialias, getAxes, getAxisLabels, getConverters, getFlipFlags, getGrid, getLogFlags, getMainNdim, getPlotData, getRanges, getShaders, getValid, setAntialias, setAxes, setAxisLabels, setConverters, setFlipFlags, setGrid, setLogFlags, setMainNdim, setPlotData, setRanges, setShaders, setValid`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SphericalPlotState

public SphericalPlotState()

## Method Details

### setRadialInfo

public void setRadialInfo(uk.ac.starlink.table.ValueInfo info)
Sets metadata information about the radial coordinate. A null value indicates that there is no useful radial information (all radial values are to be taken as unity). Note some information from the submitted `info` object may be discarded, only the parts required for plotting are retained.

Parameters:
  `info` - radial coordinate metadata

### getRadialInfo

public uk.ac.starlink.table.ValueInfo getRadialInfo()
Returns metadata information about the radial coordinate. A null value indicates that there is no useful radial information (all radial values are to be taken as unity).

Returns:
  radial coordinate metadata

### setRadialLog

public void setRadialLog(boolean radialLog)
Sets whether the radial dimension should be plotted on a logarithmic scale. This is only relevant for spherical plots.

Parameters:
  `radialLog` - true for logarithmic treatment of the radial coordinate, false for linear

### getRadialLog

public boolean getRadialLog()
Determines whether the radial dimension should be plotted on a logarithmic scale. This is only relevant for spherical plots.

Returns:
  true for logarithmic treatment of the radial coordinate, false for linear

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Plot3DState`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Plot3DState`